+++
title = "Cheap Flights and Where to Find Them"
date = 2025-06-14
slug = "cheap_flights"
+++

This is my personal-ish list of websites that I check whenever I want to get from point A to point B.

# Flights

The God of all flight scanner websites is undoubtedly [Google Flights](https://flights.google.com/), just choose the region/airport you want to fly to and you're good to go.

For finding cheap Ryanair (and similar low-cost carriers') fares, go to the respective carrier's website, most offer an "I'm not sure where I want to go" option which shows a map with possible destinations and their respective prices.

Another website I'm quite fond of is [flightlist](https://flightlist.io/) which allows you to bulk search through departures from multiple airports or even countries.

Several airlines have a so-called "mystery destination" ticket, among them [Lufthansa](https://www.lufthansa-surprise.com/travel-theme), Eurowings and Austrian. The main point of this ticket (it costs around $100) is that you only get to know the destination you're going to after you book the flight! Very nice way to explore a place you've never been to before for just a couple bucks.

# Trains

A lot of the time comfortable choo-choos are cheaper (and faster, if you include time spent going to the airport and back) than airplanes. Don't hesitate to check [Amtrak](https://amtrak.com/), [Deutsche Bahn](https://int.bahn.de/), [OeBB](oebb.at) or whatever the train company in the country you're going to or are in right now is called!

It may be wise to buy separate tickets if crossing borders, a ticket to the first station past the border and an additional domestic ticket from that border station to your destination, as that is often way cheaper than a direct ticket which includes a hefty international booking surcharge.

If you're traveling inside Europe, don't forget to check [The Man in Seat Sixty-One](https://seat61.com/), which offers great advice on routes you can take and ways to get the most bang for your buck.

# Buses

As a last resort (or in countries where no other option is available), you can check bus companies for available tickets. Unfortunately bus travel is not as comfortable as taking a train, however, [Flixbus](https://flixbus.cz/) (the Czech version has the lowest "service fee" of only CZK 9 (~$0.30) unlike other versions) and similar companies seem to offer good connections in many parts of the world including Europe and both North and South America. 
